org.apache.commons.jelly.servlet

## Class JellyServletContext

- java.lang.Object
- - org.apache.commons.jelly.JellyContext
  - - org.apache.commons.jelly.servlet.JellyServletContext

    public class JellyServletContext
    extends JellyContext

Version:
  1.1
Author:
  Kelvin Tan

### Field Summary

### Fields inherited from class org.apache.commons.jelly.JellyContext

`classLoader, useContextClassLoader`

### Constructor Summary

Constructors
Constructor and Description
`JellyServletContext()`
`JellyServletContext(JellyContext parent, javax.servlet.ServletContext ctx)`
`JellyServletContext(javax.servlet.ServletContext ctx)`

### Method Summary

Methods
`protected JellyContext` `createChildContext()` Factory method to create a new child of this context
`java.net.URL` `getResource(java.lang.String s)` Allow access of relative URIs when performing <j:include>.
`java.io.InputStream` `getResourceAsStream(java.lang.String s)` Allow access of relative URIs when performing <j:include>.

### Methods inherited from class org.apache.commons.jelly.JellyContext

`clear, clearVariables, compileScript, compileScript, compileScript, createRelativeURL, createXMLParser, findVariable, getClassLoader, getCurrentURL, getJellyContextURL, getJellyContextURL, getParent, getRootURL, getScope, getTagLibrary, getUseContextClassLoader, getVariable, getVariable, getVariableNames, getVariables, getVariableWithDefaultValue, getXMLParser, isCacheTags, isExport, isExportLibraries, isInherit, isTagLibraryRegistered, newJellyContext, newJellyContext, registerTagLibrary, registerTagLibrary, removeVariable, removeVariable, runScript, runScript, runScript, runScript, runScript, runScript, runScript, runScript, setCacheTags, setClassLoader, setCurrentURL, setExport, setExportLibraries, setInherit, setParent, setRootURL, setUseContextClassLoader, setVariable, setVariable, setVariables`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JellyServletContext

    public JellyServletContext()

#### JellyServletContext

    public JellyServletContext(javax.servlet.ServletContext ctx)

#### JellyServletContext

    public JellyServletContext(JellyContext parent,
                       javax.servlet.ServletContext ctx)

### Method Detail

#### getResource

    public java.net.URL getResource(java.lang.String s)
                             throws java.net.MalformedURLException

Allow access of relative URIs when performing <j:include>.

Overrides:
  `getResource` in class `JellyContext`
Parameters:
  `s` -
Returns:
Throws:
  `java.net.MalformedURLException`

#### getResourceAsStream

    public java.io.InputStream getResourceAsStream(java.lang.String s)

Allow access of relative URIs when performing <j:include>.

Overrides:
  `getResourceAsStream` in class `JellyContext`
Parameters:
  `s` -
Returns:

#### createChildContext

    protected JellyContext createChildContext()

Description copied from class: `JellyContext`
Factory method to create a new child of this context

Overrides:
  `createChildContext` in class `JellyContext`